aboutsummaryrefslogtreecommitdiff
path: root/stretch-armhf/build.sh
diff options
context:
space:
mode:
authorFathi Boudra <fathi.boudra@linaro.org>2016-05-20 10:07:45 +0300
committerFathi Boudra <fathi.boudra@linaro.org>2016-05-20 10:07:45 +0300
commit7fb86cdc0aa3d07124e4c10d8a9a1255d65bf9d8 (patch)
tree804b5136134bf386ef75893a492389fbfcba96ab /stretch-armhf/build.sh
parent805e88281f741110483ebd89d46a1691b99e3bf0 (diff)
stretch: add initial Debian Stretch images based on Jessie configurations
Change-Id: I7eec42c203f7ed6969b0e93c622894aa562a56d7 Signed-off-by: Fathi Boudra <fathi.boudra@linaro.org>
Diffstat (limited to 'stretch-armhf/build.sh')
-rwxr-xr-xstretch-armhf/build.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/stretch-armhf/build.sh b/stretch-armhf/build.sh
new file mode 100755
index 0000000..39a649a
--- /dev/null
+++ b/stretch-armhf/build.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -f *.list *.key
+}
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+
+cp -a ../linaro-*.list ../linaro-*.key .
+sed -e "s|@DISTRIBUTION@|${DISTRIBUTION}|" -i *.list
+
+# fixup - get rid of PPA usage
+rm -f linaro-*ppa.*
+
+docker build --tag=linaro/$(basename ${PWD}) .